#2367 closed enhancement (fixed)

Documentation of User Extensions needs more information

Reported by: mw Owned by: Sebastian Huber <sebastian.huber@…>
Priority: low Milestone: 5.1
Component: doc Version: 5
Severity: normal Keywords:
Cc: Blocked By:
Blocking:

Description

The documentation for User Extension sets in the C User's Guide could use some clarification. It discusses the multiple sets of extensions, but it is unclear as to whether or not the extensions are added or replaced when rtems_extension_create() is called. There is a section - 22.2.4 (Order of Invocation) that does discuss the operation of the sets, but it only makes sense once the reader understands that the sets are, in fact, additive.

Change History (6)

comment:1 Changed on Jun 16, 2015 at 12:00:18 AM by Joel Sherrill

Any other questions you would like to see answered? The points you mention are relatively straightforward to address but the email thread had a lot going on and I wanted to make sure all your questions got reflected in the changes.

comment:2 in reply to:  1 Changed on Jun 17, 2015 at 4:53:23 PM by mw

No, I think all of my questions were stemming from that initial confusion. I thought I had to somehow extract the extensions that were previously installed in order to call them back myself; once I realized that they were layered (and the OS was doing the sequential calling), it all fell into place and I understood what was going on.

Replying to joel.sherrill:

Any other questions you would like to see answered? The points you mention are relatively straightforward to address but the email thread had a lot going on and I wanted to make sure all your questions got reflected in the changes.

comment:3 Changed on Aug 14, 2017 at 12:43:58 AM by Chris Johns

Milestone: 4.12.0
Version: 4.114.12

comment:4 Changed on Aug 24, 2017 at 7:57:40 AM by Sebastian Huber <sebastian.huber@…>

Owner: set to Sebastian Huber <sebastian.huber@…>
Resolution: fixed
Status: newclosed

In 6eef7a4/rtems-docs:

c-user: Clarify user extensions

Close #2367.

comment:5 Changed on Oct 10, 2017 at 6:06:29 AM by Sebastian Huber

Component: Documentationdoc

comment:6 Changed on Nov 9, 2017 at 6:27:14 AM by Sebastian Huber

Milestone: 4.12.05.1

Milestone renamed

Note: See TracTickets for help on using tickets.